<template>
  <Page actionBarHidden="true">
    <AbsoluteLayout width="100%" height="100%">
      <!-- <FlexboxLayout
        width="100"
        height="auto"
        flexDirection="row"
        alignItems="center"
        justifyContent="center"
      >
        <PageTitle :title="title" />
      </FlexboxLayout> -->
      <WebView v-if="isWebUrl" top="0" left="0" :src="url" width="100%" height="100%" />

      <HtmlView v-if="!isWebUrl" top="0" left="0" class="font-roboto-light" :html="html" />

      <BackButton />
      <!--<CartButton />-->
    </AbsoluteLayout>
  </Page>
</template>

<script>
import BackButton from "~/components/Button/BackButton";
import PageTitle from "~/components/PageTitle";
//import CartButton from '~/components/Button/CartButton';
export default {
  props: {
    url: String,
    isWebUrl: Boolean,
    html: String | null,
    title: String,
  },
  components: {
    BackButton,
    PageTitle,
    //CartButton,
  },
  data() {
    return {};
  },
  methods: {},
  mounted() {
    console.log("URL: ", this.url);
    
  }
};
</script>

<style lang="scss" scoped></style>
